Skip to main content
`Ctrl`+`K`

# cogent3.core.table.Columns

class Columns

  Collection of columns. iter operates over columns.

  Attributes:
    `array`

      object array of all columns

    `index_name`

      column name whose values can be used to index table rows

    `order`

      column order

  Methods

  `add_column_from_str`(name, values) | adds a column from series of str
  `clear`() |
  `get`(k[,d]) |
  `items`() |
  `keys`() |
  `pop`(k[,d]) | value.
  `popitem`() | as a 2-tuple; but raise KeyError if D is empty.
  `setdefault`(k[,d]) |
  `take_columns`(columns) | returns new Columns instance with just columns
  `to_dict`() | returns column based dict
  `update`([E, ]**F) | If E present and has a .keys() method, does:
  `values`() |

  iter_rows |
  to_rich_dict |